Upgrade Wallet
curl --request POST \
--url https://nini.monieswitch.com/wallet/upgrade \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletId": "488c5bf0-1bb1-404d-a1b9-f638d0e7795e",
"tier": 3,
"nin": 848434884848,
"city": "Lagos",
"state": "Lagos",
"country": "Nigeria",
"address": "No 2, Greenwood Estate",
"proofOfAddress": "file-upload.png"
}
'import requests
url = "https://nini.monieswitch.com/wallet/upgrade"
payload = {
"walletId": "488c5bf0-1bb1-404d-a1b9-f638d0e7795e",
"tier": 3,
"nin": 848434884848,
"city": "Lagos",
"state": "Lagos",
"country": "Nigeria",
"address": "No 2, Greenwood Estate",
"proofOfAddress": "file-upload.png"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
walletId: '488c5bf0-1bb1-404d-a1b9-f638d0e7795e',
tier: 3,
nin: 848434884848,
city: 'Lagos',
state: 'Lagos',
country: 'Nigeria',
address: 'No 2, Greenwood Estate',
proofOfAddress: 'file-upload.png'
})
};
fetch('https://nini.monieswitch.com/wallet/upgrade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Your upgrade request has been sent."
}Wallet
Upgrade Wallet
POST
/
wallet
/
upgrade
Upgrade Wallet
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I